<!--
{
  "documentType" : "article",
  "framework" : "DeviceManagement",
  "identifier" : "/documentation/DeviceManagement/fetching-resources-with-extended-attributes",
  "metadataVersion" : "0.1.0",
  "role" : "article",
  "title" : "Fetching resources with extended attributes"
}
-->

# Fetching resources with extended attributes

Specify additional attributes for the API to include in a response.

## Discussion

You may want to access some attributes that the server doesn’t fetch unless specifically requested. By default, responses contain only a subset of the available attributes for a resource. The attributes that the server doesn’t fetch by default are known as *extended attributes*. Use the `extend` query parameter to request a set of additional attributes for a resource type.

For example, when fetching an apps resource, you can request that the server add the extended `latestVersionInfo` attribute to the other attributes it returns:

```html
GET https://api.ent.apple.com/v1/catalog/{storefront}/stoken-authenticated-apps?ids=1376597908,2001350931&platform=iphone&extend[apps]=latestVersionInfo
```

Available extended attributes include:

- `fileSizeByDevice`
- `languageList`
- `description`
- `latestVersionInfo`
- `privacyPolicyUrl`
- `screenshotsByType`
- `supportURLForLanguage`
- `versionHistory`
- `websiteUrl`
- `requirementsByDeviceFamily`

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)